# PetscLogPrintSummary

Prints a summary of the logging.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogPrintSummary(MPI_Comm comm, const char filename[])

Collective over MPI_Comm

### Input Parameter

| comm | - The MPI communicator (only one processor prints output)
| file | - [Optional] The output file name

### Options Database Keys

-log_summary -Prints summary of log information (for code compiled with PETSC_USE_LOG)

### Usage

         PetscInitialize(...);
         PetscLogBegin();
         ... code ...
         PetscLogPrintSummary(MPI_Comm,filename);
         PetscFinalize(...);

### Notes

By default the summary is printed to stdout.

### Keywords

log, dump, print

### See Also

PetscLogBegin(), PetscLogDump()

Level:beginner
Location:src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex2.c.html